Bullet Collision Detection & Physics Library: btManifoldResult Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
btManifoldResult Class Reference

btManifoldResult is a helper class to manage contact results. More...

`#include <btManifoldResult.h>`

Inheritance diagram for btManifoldResult:
[legend]
Collaboration diagram for btManifoldResult:
[legend]

## Public Member Functions
| btManifoldResult ()
| btManifoldResult (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
virtual | ~btManifoldResult ()
void | setPersistentManifold (btPersistentManifold *manifoldPtr)
const btPersistentManifold * | getPersistentManifold () const
btPersistentManifold * | getPersistentManifold ()
virtual void | setShapeIdentifiersA (int partId0, int index0)
| setShapeIdentifiersA/B provides experimental support for per-triangle material / custom material combiner
virtual void | setShapeIdentifiersB (int partId1, int index1)
virtual void | addContactPoint (const btVector3 &normalOnBInWorld, const btVector3 &pointInWorld, btScalar depth)
void | refreshContactPoints ()
const btCollisionObjectWrapper * | getBody0Wrap () const
const btCollisionObjectWrapper * | getBody1Wrap () const
void | setBody0Wrap (const btCollisionObjectWrapper *obj0Wrap)
void | setBody1Wrap (const btCollisionObjectWrapper *obj1Wrap)
const btCollisionObject * | getBody0Internal () const
const btCollisionObject * | getBody1Internal () const
Public Member Functions inherited from btDiscreteCollisionDetectorInterface::Result
virtual | ~Result ()

## Static Public Member Functions
static btScalar | calculateCombinedRestitution (const btCollisionObject *body0, const btCollisionObject *body1)
| in the future we can let the user override the methods to combine restitution and friction
static btScalar | calculateCombinedFriction (const btCollisionObject *body0, const btCollisionObject *body1)
| User can override this material combiner by implementing gContactAddedCallback and setting body0->m_collisionFlags |= btCollisionObject::customMaterialCallback;.
static btScalar | calculateCombinedRollingFriction (const btCollisionObject *body0, const btCollisionObject *body1)
static btScalar | calculateCombinedSpinningFriction (const btCollisionObject *body0, const btCollisionObject *body1)
static btScalar | calculateCombinedContactDamping (const btCollisionObject *body0, const btCollisionObject *body1)
static btScalar | calculateCombinedContactStiffness (const btCollisionObject *body0, const btCollisionObject *body1)

## Public Attributes
btScalar | m_closestPointDistanceThreshold

## Protected Attributes
btPersistentManifold * | m_manifoldPtr
const btCollisionObjectWrapper * | m_body0Wrap
const btCollisionObjectWrapper * | m_body1Wrap
int | m_partId0
int | m_partId1
int | m_index0
int | m_index1

## Detailed Description

btManifoldResult is a helper class to manage contact results.

Definition at line 47 of file btManifoldResult.h.

## Constructor & Destructor Documentation

## ◆ btManifoldResult() [1/2]

btManifoldResult::btManifoldResult | ( |  | ) |
| inline

Definition at line 60 of file btManifoldResult.h.

## ◆ btManifoldResult() [2/2]

btManifoldResult::btManifoldResult | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap )

Definition at line 89 of file btManifoldResult.cpp.

## ◆ ~btManifoldResult()

virtual btManifoldResult::~btManifoldResult | ( |  | ) |
| inlinevirtual

Definition at line 75 of file btManifoldResult.h.

## Member Function Documentation

## ◆ addContactPoint()

void btManifoldResult::addContactPoint | ( | const btVector3 & | normalOnBInWorld,
|  | const btVector3 & | pointInWorld,
|  | btScalar | depth )
| virtual

Implements btDiscreteCollisionDetectorInterface::Result.

Reimplemented in btBridgedManifoldResult, and btPerturbedContactResult.

Definition at line 103 of file btManifoldResult.cpp.

## ◆ calculateCombinedContactDamping()

btScalar btManifoldResult::calculateCombinedContactDamping | ( | const btCollisionObject * | body0,
|  | const btCollisionObject * | body1 )
| static

Definition at line 73 of file btManifoldResult.cpp.

## ◆ calculateCombinedContactStiffness()

btScalar btManifoldResult::calculateCombinedContactStiffness | ( | const btCollisionObject * | body0,
|  | const btCollisionObject * | body1 )
| static

Definition at line 78 of file btManifoldResult.cpp.

## ◆ calculateCombinedFriction()

btScalar btManifoldResult::calculateCombinedFriction | ( | const btCollisionObject * | body0,
|  | const btCollisionObject * | body1 )
| static

User can override this material combiner by implementing gContactAddedCallback and setting body0->m_collisionFlags |= btCollisionObject::customMaterialCallback;.

Definition at line 56 of file btManifoldResult.cpp.

## ◆ calculateCombinedRestitution()

btScalar btManifoldResult::calculateCombinedRestitution | ( | const btCollisionObject * | body0,
|  | const btCollisionObject * | body1 )
| static

in the future we can let the user override the methods to combine restitution and friction

Definition at line 68 of file btManifoldResult.cpp.

## ◆ calculateCombinedRollingFriction()

btScalar btManifoldResult::calculateCombinedRollingFriction | ( | const btCollisionObject * | body0,
|  | const btCollisionObject * | body1 )
| static

Definition at line 31 of file btManifoldResult.cpp.

## ◆ calculateCombinedSpinningFriction()

btScalar btManifoldResult::calculateCombinedSpinningFriction | ( | const btCollisionObject * | body0,
|  | const btCollisionObject * | body1 )
| static

Definition at line 43 of file btManifoldResult.cpp.

## ◆ getBody0Internal()

const btCollisionObject * btManifoldResult::getBody0Internal | ( |  | ) | const
| inline

Definition at line 142 of file btManifoldResult.h.

## ◆ getBody0Wrap()

const btCollisionObjectWrapper * btManifoldResult::getBody0Wrap | ( |  | ) | const
| inline

Definition at line 123 of file btManifoldResult.h.

## ◆ getBody1Internal()

const btCollisionObject * btManifoldResult::getBody1Internal | ( |  | ) | const
| inline

Definition at line 147 of file btManifoldResult.h.

## ◆ getBody1Wrap()

const btCollisionObjectWrapper * btManifoldResult::getBody1Wrap | ( |  | ) | const
| inline

Definition at line 127 of file btManifoldResult.h.

## ◆ getPersistentManifold() [1/2]

btPersistentManifold * btManifoldResult::getPersistentManifold | ( |  | ) |
| inline

Definition at line 86 of file btManifoldResult.h.

## ◆ getPersistentManifold() [2/2]

const btPersistentManifold * btManifoldResult::getPersistentManifold | ( |  | ) | const
| inline

Definition at line 82 of file btManifoldResult.h.

## ◆ refreshContactPoints()

void btManifoldResult::refreshContactPoints | ( |  | ) |
| inline

Definition at line 105 of file btManifoldResult.h.

## ◆ setBody0Wrap()

void btManifoldResult::setBody0Wrap | ( | const btCollisionObjectWrapper * | obj0Wrap | ) |
| inline

Definition at line 132 of file btManifoldResult.h.

## ◆ setBody1Wrap()

void btManifoldResult::setBody1Wrap | ( | const btCollisionObjectWrapper * | obj1Wrap | ) |
| inline

Definition at line 137 of file btManifoldResult.h.

## ◆ setPersistentManifold()

void btManifoldResult::setPersistentManifold | ( | btPersistentManifold * | manifoldPtr | ) |
| inline

Definition at line 77 of file btManifoldResult.h.

## ◆ setShapeIdentifiersA()

virtual void btManifoldResult::setShapeIdentifiersA | ( | int | partId0,
|  | int | index0 )
| inlinevirtual

setShapeIdentifiersA/B provides experimental support for per-triangle material / custom material combiner

Implements btDiscreteCollisionDetectorInterface::Result.

Definition at line 91 of file btManifoldResult.h.

## ◆ setShapeIdentifiersB()

virtual void btManifoldResult::setShapeIdentifiersB | ( | int | partId1,
|  | int | index1 )
| inlinevirtual

Implements btDiscreteCollisionDetectorInterface::Result.

Definition at line 97 of file btManifoldResult.h.

## Member Data Documentation

## ◆ m_body0Wrap

const btCollisionObjectWrapper* btManifoldResult::m_body0Wrap
| protected

Definition at line 52 of file btManifoldResult.h.

## ◆ m_body1Wrap

const btCollisionObjectWrapper* btManifoldResult::m_body1Wrap
| protected

Definition at line 53 of file btManifoldResult.h.

## ◆ m_closestPointDistanceThreshold

btScalar btManifoldResult::m_closestPointDistanceThreshold

Definition at line 152 of file btManifoldResult.h.

## ◆ m_index0

int btManifoldResult::m_index0
| protected

Definition at line 56 of file btManifoldResult.h.

## ◆ m_index1

int btManifoldResult::m_index1
| protected

Definition at line 57 of file btManifoldResult.h.

## ◆ m_manifoldPtr

btPersistentManifold* btManifoldResult::m_manifoldPtr
| protected

Definition at line 50 of file btManifoldResult.h.

## ◆ m_partId0

int btManifoldResult::m_partId0
| protected

Definition at line 54 of file btManifoldResult.h.

## ◆ m_partId1

int btManifoldResult::m_partId1
| protected

Definition at line 55 of file btManifoldResult.h.

The documentation for this class was generated from the following files:

- btManifoldResult.h
- btManifoldResult.cpp